# Uses of Interface
org.opensaml.security.x509.PKIXTrustEvaluator

Packages that use PKIXTrustEvaluator
Package
Description
org.opensaml.security.x509.impl
`TrustEngine` implementation classes related to PKIX.
org.opensaml.spring.trust
Factory beans for trust engines.
org.opensaml.xmlsec.signature.support.impl
Implementations of signature evaluation functions.

## Uses of PKIXTrustEvaluator in org.opensaml.security.x509.impl

Classes in org.opensaml.security.x509.impl that implement PKIXTrustEvaluator
Modifier and Type
Class
Description
`class`
`CertPathPKIXTrustEvaluator`
An implementation of `PKIXTrustEvaluator` that is based on the Java CertPath API.
Fields in org.opensaml.security.x509.impl declared as PKIXTrustEvaluator
Modifier and Type
Field
Description
`private final PKIXTrustEvaluator`
PKIXX509CredentialTrustEngine.`pkixTrustEvaluator`
The external PKIX trust evaluator used to establish trust.
Methods in org.opensaml.security.x509.impl that return PKIXTrustEvaluator
Modifier and Type
Method
Description
`PKIXTrustEvaluator`
PKIXX509CredentialTrustEngine.`getPKIXTrustEvaluator()`
Get the `PKIXTrustEvaluator` instance used to evaluate trust.
Constructors in org.opensaml.security.x509.impl with parameters of type PKIXTrustEvaluator
Modifier
Constructor
Description
``
`PKIXX509CredentialTrustEngine(PKIXValidationInformationResolver resolver, PKIXTrustEvaluator pkixEvaluator, X509CredentialNameEvaluator nameEvaluator)`
Constructor.

## Uses of PKIXTrustEvaluator in org.opensaml.spring.trust

Fields in org.opensaml.spring.trust declared as PKIXTrustEvaluator
Modifier and Type
Field
Description
`private PKIXTrustEvaluator`
StaticPKIXFactoryBean.`trustEvaluator`
Custom instance of `PKIXTrustEvaluator` to use.
Methods in org.opensaml.spring.trust with parameters of type PKIXTrustEvaluator
Modifier and Type
Method
Description
`void`
StaticPKIXFactoryBean.`setTrustEvaluator(PKIXTrustEvaluator evaluator)`
Set the custom instance of `PKIXTrustEvaluator` to use.
`protected void`
StaticPKIXFactoryBean.`validateConfiguration(PKIXTrustEvaluator pkixTrustEvaluator)`
Validate the configuration of the effective `PKIXTrustEvaluator`.

## Uses of PKIXTrustEvaluator in org.opensaml.xmlsec.signature.support.impl

Fields in org.opensaml.xmlsec.signature.support.impl declared as PKIXTrustEvaluator
Modifier and Type
Field
Description
`private final PKIXTrustEvaluator`
PKIXSignatureTrustEngine.`pkixTrustEvaluator`
The external PKIX trust evaluator used to establish trust.
Methods in org.opensaml.xmlsec.signature.support.impl that return PKIXTrustEvaluator
Modifier and Type
Method
Description
`PKIXTrustEvaluator`
PKIXSignatureTrustEngine.`getPKIXTrustEvaluator()`
Get the PKIXTrustEvaluator instance used to evaluate trust.
Constructors in org.opensaml.xmlsec.signature.support.impl with parameters of type PKIXTrustEvaluator
Modifier
Constructor
Description
``
`PKIXSignatureTrustEngine(PKIXValidationInformationResolver resolver, KeyInfoCredentialResolver keyInfoResolver, PKIXTrustEvaluator pkixEvaluator, X509CredentialNameEvaluator nameEvaluator)`
Constructor.